2009-01-15  Milan Crha  <mcrha@redhat.com>

	* e-plugin.c: (epl_construct): Compiler warning fix.

2009-01-11  Matthew Barnes  <mbarnes@redhat.com>

	* e-error.c (ee_response):
	Call e_display_help() instead of gnome_url_show().

	* e-util.c (e_show_uri):
	New convenience function calls gtk_show_uri() and displays an
	error dialog if the URI cannot be shown.

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	* e-dialog-utils.c:
	Remove unneeded #include <libgnome/gnome-util.h>.

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	* e-util.c (e_display_help):
	Now that we require GTK+ 2.14, use gtk_show_uri() instead of
	gnome_help_display().

2009-01-01  Matthew Barnes  <mbarnes@redhat.com>

	* e-config.c (ec_rebuild):
	Use the translated the EConfigItem label when building the UI.

2008-12-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #564860

	* e-util-label.c (e_util_labels_parse):
	Don't crash on malformed label strings.

2008-12-10  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #563250

	* e-util.c (e_get_accels_filename):
	New function returns the filename where custom keyboard
	accelerators are stored.  Currently only applies to the
	various editor windows in Evolution.

2008-12-10  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #563870

	* e-util-labels.h: (e_util_labels_get_filter_options):
	* e-util-labels.c: (e_util_labels_get_filter_options):
	New helper function to be used in FilterOption.

2008-12-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #555663

	* gconf-bridge.c: (struct WindowBinding), (gconf_bridge_bind_window),
	(window_binding_unbind): Do not overwrite signal id.

2008-12-05  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #332629

	* e-util.h: (e_util_get_category_filter_options):
	* e-util.c: (e_util_get_category_filter_options):
	New helper function to be used in FilterOption.

2008-11-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #332729

	* e-config.c: (ep_finalise): Disconnect handlers on the widget before
	freeing the structure it is using.

2008-11-12  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #559810

	* e-util-labels.c: (e_util_labels_parse):
	Do not localize empty label names, also localize them only first time.

2008-11-04  Matthew Barnes  <mbarnes@redhat.com>

	* e-non-intrusive-error-dialog.c:
	* e-non-intrusive-error-dialog.h:
	Fix compiler warnings.

2008-11-04  Akhil Laddha  <lakhil@novell.com>              

	* e-non-intrusive-error-dialog.c (eni_query_tooltip_cb),
	(eni_render_pixbuf), (eni_render_date), (eni_append_logs),
	(eni_config_get_error_level), (eni_config_get_error_timeout),
	(eni_error_timeout_changed), (eni_error_level_value_changed),
	(eni_show_logger):
	* e-non-intrusive-error-dialog.h:
	Missed commiting these files in the previous commit. 

2008-11-03  Ashish Shrivastava  <shashish@novell.com>

	** Support for Non-intrusive error in calendar.

	* Makefile.am: Added new files:
	* e-non-intrusive-error-dialog.c, e-non-intrusive-error-dialog.h:

2008-11-02  Matthew Barnes  <mbarnes@redhat.com>

	* e-util.c (do_format_number_as_float):
	Remove this unused internal function.

2008-10-30  Matthew Barnes  <mbarnes@redhat.com>

	* e-icon-factory.c:
	Only include the toplevel GTK+ header.

2008-10-29  Sankar P  <psankar@novell.com>

License Changes

	* e-plugin-ui.c:
	* e-plugin-ui.h:

2008-10-06  Sankar P  <psankar@novell.com>

	* widgets/table/e-cell-float.c:
	* widgets/table/e-cell-float.h:
	Remove obsolete function

2008-10-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #554418

	* e-util.h: (e_util_guess_mime_type):
	* e-util.c: (e_util_guess_mime_type): Guess mime_type based on
	the file content only when permitted by the caller, otherwise
	check based on the filename only, where it fallbacks if file
	content guess fails.

2008-09-29  Sankar P  <psankar@novell.com>

License Changes

	* e-util.c:
	* e-util.h:
	* e-xml-utils.c:

2008-09-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #535248

	* e-logger.c: (flush_logfile), (logger_set_component),
	(logger_finalize), (e_logger_log), (e_logger_get_logs):
	Check if log file has been opened successfully before using it.

2008-09-24  Sankar P  <psankar@novell.com>

License Changes

	* e-event.c:

2008-09-16  Sankar P  <psankar@novell.com>

License Changes

	* e-error.c:
	* e-icon-factory.c:
	* e-plugin.c:

2008-09-12  Sankar P  <psankar@novell.com>

License Changes

	* e-dialog-utils.c:
	* e-sorter-array.c:

2008-09-04  Sankar P  <psankar@novell.com>

License Changes

	* e-gui-utils.c:
	* e-html-utils.c:

2008-09-02  Sankar P  <psankar@novell.com>

License Changes

	* e-categories-config.c:
	* e-config-listener.c:
	* e-config-listener.h:
	* e-config.c:
	* e-corba-utils.c:
	* e-corba-utils.h:
	* e-cursor.c:
	* e-dialog-utils.h:
	* e-dialog-widgets.c:
	* e-dialog-widgets.h:
	* e-error.h:
	* e-fsutils.h:
	* e-gui-utils.h:
	* e-html-utils.h:
	* e-import.c:
	* e-logger.h:
	* e-menu.c:
	* e-mktemp.c:
	* e-mktemp.h:
	* e-pilot-map.c:
	* e-pilot-map.h:
	* e-pilot-util.c:
	* e-plugin.h:
	* e-popup.c:
	* e-profile-event.c:
	* e-request.c:
	* e-request.h:
	* e-sorter-array.h:
	* e-sorter.c:
	* e-text-event-processor-emacs-like.c:
	* e-text-event-processor.c:
	* e-text-event-processor.h:
	* e-util-labels.c:
	* e-xml-utils.h:

2008-08-27  Sankar P  <psankar@novell.com>

License Changes

	* e-bconf-map.c:
	* e-bconf-map.h:
	* e-bit-array.c:
	* e-bit-array.h:
	* e-categories-config.h:
	* e-config.h:
	* e-cursor.h:
	* e-event.h:
	* e-folder-map.c:
	* e-folder-map.h:
	* e-fsutils.c:
	* e-icon-factory.h:
	* e-import.h:
	* e-logger.c:
	* e-menu.h:
	* e-pilot-util.h:
	* e-popup.h:
	* e-print.c:
	* e-print.h:
	* e-profile-event.h:
	* e-signature-list.c:
	* e-signature-list.h:
	* e-signature.c:
	* e-signature.h:
	* e-sorter.h:
	* e-text-event-processor-emacs-like.h:
	* e-text-event-processor-types.h:
	* e-util-labels.h:
	* e-util-private.h:
	* e-win32-reloc.c:

2008-08-18  Bharath Acharya  <abharath@novell.com>

	* e-icon-factory.c: (e_icon_factory_get_icon_filename),
	(e_icon_factory_get_icon): Added a debug macro and turned it off.

2008-08-16  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	* e-icon-factory.c: (e_icon_size_to_gtk_icon_size),
	(e_icon_factory_get_icon_filename), (e_icon_factory_get_icon):
	Make evolution respect GTK_ICON_SIZE changes, part of bug #416258.

2008-08-14  Matthew Barnes  <mbarnes@redhat.com>

	* e-util.c (e_display_help):
	New convenience function for launching help from Evolution.
	Displays an error dialog over the given parent window if an
	error occurs.

2008-08-13  Matthew Barnes  <mbarnes@redhat.com>

	* e-gui-utils.c (e_create_image_widget):
	Remove this unused function.

	* e-util.h: Cosmetic cleanups.

2008-08-11  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #546892

	* e-gui-utils.c:
	* e-popup.c:
	Prefer gtk_image_new_from_icon_name() over e_icon_factory_get_image().

	* e-icon-factory.c (e_icon_factory_get_image):
	Kill this function.  Use gtk_image_new_from_icon_name().

	* e-icon-factory.c (e_icon_factory_get_icon_list):
	Kill this function.  Use gtk_window_set_icon_name().

2008-07-31  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #545568

	* e-plugin.c (ep_load):
	Make sure system plugins are enabled on startup.

2008-07-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #540282

	* e-print.c:
	Store printer and page settings in a key file rather than GConf.
	Also properly apply page settings to print operations, including
	custom margins.

2008-07-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #540972

	* e-plugin.c: (ep_load): Small memory leak fix.

2008-06-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #509595

	* e-logger.c: (e_logger_get_logs): Do not crash if file does not
	exists. Also be able to read lines more than 249 characters long.

2008-06-08  Matthew Barnes  <mbarnes@redhat.com>

	* e-logger.[ch]: Code cleanup.

2008-06-06  Tor Lillqvist  <tml@novell.com>

	* e-plugin.c (epl_loadmodule): Tell which plugin it could not load
	in the warning message.

2008-05-29  Frederic Crozat  <fcrozat@mandriva.com>

	** Fixes bug #535273
	        
	* Makefile.am:
	Link e-util and econduit libraries with gnome-pilot.

2008-05-22  Matthew Barnes  <mbarnes@redhat.com>

	* e-plugin.c:
	* e-plugin.h:
	Code cleanup.  Also add an "enabled" property to EPlugin.

2008-05-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #530392

	* e-util-labels.c (e_util_labels_add_with_dlg):
	Pressing Enter in the entry activates the default response.

2008-05-16  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #514383

	* e-error.c (e_error_newv): Widget packing adjustments.

2008-05-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #531592

	* e-error.c (ee_build_label):
	Add an 'escape_args' parameter for strings that should /not/ be
	escaped, such as window titles and status bar messages.

	* e-error.c (e_error_newv):
	Pass an appropriate 'escape_args' value to ee_build_label().

2008-05-08  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #525241 (EPluginUI)

	* Makefile.am:
	Add e-plugin-ui.[ch].

	* e-plugin.h (EPluginClass):
	Add a "get_symbol" method for extracting arbitrary symbols
	from an EPlugin.  Implementation of the method is optional.

	* e-plugin.c (e_plugin_get_symbol):
	New function invokes the new "get_symbol" EPlugin method.

	* e-plugin.c (epl_get_symbol):
	New function implements the new "get_symbol" EPlugin method.
	It extracts the given symbol name from the GModule.

	* e-plugin-ui.[ch]:
	New EPluginHook subclass that allows plugins to extend menus,
	toolbars, and popups that are managed by GtkUIManager instead
	of BonoboUI.  Should eventually replace EMenu/EPopup.

2008-04-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #529254

	* e-util.c: (e_write_file_uri):	Save file properly.
	Handle either URI or filename. Return success or failure, not gint.

2008-04-22  Matthew Barnes  <mbarnes@redhat.com>

	* Makefile.am:
	Add gconf-bridge.[ch] from composer.

2008-04-18  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #528817

	* e-plugin.c (e_plugin_register_type):
	Fix a typo in the logic.  This might explain why I occasionally
	find Exchange Operations disabled on startup.

2008-04-17  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #526739

	* e-gui-utils.c: Do not include gnome-vfs.
	* e-util.c: (e_write_file_uri), (e_file_get_save_path):
	* e-dialog-utils.c: (e_file_can_save), (e_file_check_local):
	Use gio instead of gnome-vfs.
	* e-util.h:
	* e-util.c: (e_util_guess_mime_type), (e_util_filename_to_uri),
	(e_util_uri_to_filename), (e_util_read_file): New helper functions.

2008-04-12  Matthew Barnes  <mbarnes@redhat.com>

	* e-util-labels.c (e_util_labels_add_with_dlg):
	Clarify an error message.  (#509672)

2008-04-07  Takao Fujiwara  <takao.fujiwara@sun.com>

	reviewed by: Milan Crha

	** Fix for bug #408579

	* e-util/e-system.error.xml:
	  Changed '&quot;' to '\"' to work with intltool.

2008-03-20  Sankar P  <psankar@novell.com>

	* e-plugin.c: (ep_load):
	Changed a stupid conditional statement, 
	in the previous commit.

2008-03-19  Sankar P  <psankar@novell.com>

	** Fix for bug #496839 

	* e-plugin.c: (ep_load), (e_plugin_load_plugins),
	(e_plugin_get_configure_widget):
	* e-plugin.h:
	- Implement Plugin Load Levels. You can decide
	on which load-level you want your plugin to be loaded.
	- Load Levels are mandatory if you need other language loaders
	like Mono-Loader or Python-Loader.
	- Introduce FLAGS as part of EPlugin. Futuristic. 

2008-03-17  Alex Rostovtsev  <tetromino@gmail.com>

	** Fix for bug #522631

	* e-profile-event.c: Make 'e_profile_event_emit' non-static when 
	ENABLE_PROFILING is defined.

2008-03-11  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #513951

	* e-mktemp.c (get_dir):
	* e-util.c (get_lock_filename):
	Use e_get_user_data_dir() instead of constructing the full path.

	* e-util.c (e_get_user_data_dir):
	New function returns the base directory for Evolution user data.
	This should be the /only/ place in the application where this
	directory is hard-coded.

	* e-util.c (e_file_update_save_path), (e_file_get_save_path):
	Emit warnings when saving to GConf fails.

2008-02-19  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #209353

	* e-text-event-processor-emacs-like.c:
	(e_text_event_processor_emacs_like_event):
	Allow paste text on mouse middle button click.

2008-02-18  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #515744

	* e-config.c: (ep_finalise): Use proper member to free.

2008-02-08  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #509741

	* e-error.c (e_error_newv):
	If the error dialog has no primary text, fallback to the window
	title for the "primary" data key.  This is what gets displayed
	in the status bar.

	* e-error.c (e_error_count_buttons):
	New function counts buttons in a dialog's action area.

2008-01-24  Tor Lillqvist  <tml@novell.com>

	* e-icon-factory.c (e_icon_factory_init): Construct pathname under
	EVOLUTION_DATADIR at run-time because EVOLUTION_DATADIR is a
	function call on Windows.

2008-01-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #488213

	* e-icon-factory.h: (e_icon_factory_pixbuf_scale):
	* e-icon-factory.c: (e_icon_factory_pixbuf_scale):
	New global function for pixbuf scaling which speeds up scaling when
	HAVE_LIBGNOMEUI_GNOME_THUMBNAIL_H.
	* e-icon-factory.c: (load_icon):
	Use global function e_icon_factory_pixbuf_scale for scaling pixbufs.

2008-01-10  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #211353

	* Makefile.am:
	* e-util-labels.h:
	* e-util-labels.c: New files to work with labels.

2008-01-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #507363

	* e-cursor.c: (e_cursor_set):
	Also check if toplevel widget has non-NULL window property.

2007-12-14  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #211353

	* e-popup.h:
	* e-popup.c: (ep_build_tree):
	Toggles can be in inconsistent state now, and can also contain
	an image, which is a pointer to GtkImage widget.

2007-12-17  Srinivasa Ragavan  <sragavan@novell.com>

	* Makefile.am: Add e-logger.[ch] to compilation
	* e-error.c: (e_error_newv): Add primary/secondary text to the error 
	dialog to the gobject as data.
	* e-logger.[ch]: A new logger provision Evolution. 

2007-12-05  Srinivasa Ragavan  <sragavan@novell.com>

	* e-util.h: Fix a compiler warning

2007-12-05  Srinivasa Ragavan  <sragavan@novell.com>

	* e-util.c: (get_lock_filename), (e_file_lock_create),
	(e_file_lock_destroy), (e_file_lock_exists): Add utility functions for 
	startup-running lock create, check and delete.
	* e-util.h:

2007-12-04  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #500210

	* e-plugin.h:
	* e-plugin.c: (e_plugin_configure), (e_plugin_is_configurable),
	(epl_configure), (e_plugin_get_configure_widget),
	(epl_get_configure_widget): Removed old configure functions,
	replaced by get_configure_widget functions, to be able show
	plugin configuration in a tab of plugin manager.

2007-12-03  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #392747

	* e-utils.c (e_get_month_name), (e_get_weekday_name):
	New functions cache localized month and weekday names (respectively)
	for easier retrieval than resorting to strftime().

2007-11-13  Ondrej Jirman  <megous@megous.com>

	** Fix for bug #494320

	* e-popup.c: (e_popup_create_menu): Add support for redefining
	existing menu items.

2007-11-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #492692

	* e-util.c: (e_str_case_compare): Leak fix.

2007-11-03  Matthew Barnes  <mbarnes@redhat.com>

	** Remove dead files from source control.  The dates below
	   indicate when the file was removed from Makefile.am.
	   Fixes part of bug #478704.

	* e-categories-master-list-wombat.c	(Jun 2005)
	* e-categories-master-list-wombat.h	(Jun 2005)

2007-10-26  Sankar P  <psankar@novell.com>

	** Fix for bug #461272

	* e-plugin.c: (ep_load), (e_plugin_load_plugins),
	(e_plugin_is_configurable), (epl_configure):
	* e-plugin.h:
	Configure button should not be enabled for all.

2007-10-26  Kjartan Maraas  <kmaraas@gnome.org>

	* e-config.c:
	* e-event.c:
	* e-gui-utils.c:
	* e-import.c:
	* e-menu.c:
	* e-mktemp.c: (get_dir):
	* e-popup.c:
	* e-profile-event.c: (e_profile_event_peek):
	* e-util.c: (get_font_options):
	* e-xml-utils.c: (e_xml_get_string_prop_by_name),
	(e_xml_get_string_prop_by_name_with_default),
	(e_xml_get_translated_string_prop_by_name):

	Warning fixes.
	- NULL vs 0
	- ANSIfication of declarations
	- missing include

2007-10-12  Michael Monreal <michael.monreal@gmail.com>

	** Migration of theme icons to data/icons/ (bug #479257)

	* file e-util/e-icon-factory.c:
	Append a private icon directory to the search path.

2007-10-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #311179

	* e-error.c: (e_error_newv): Unset GTK_CAN_FOCUS on label to prevent
	gaining focus by Tab, still can select and copy text by mouse.

2007-10-09  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #437579

	* e-plugin.c:
	* e-pilot-map.c:
	* e-profile-event.c:
	* e-signature.c:
	Fix various compiler warnings.  Patch from Milan Crha.

2007-10-02  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #469657

	* e-config-listener.c:
	Use destroy functions in GHashTables to simplify memory management.

2007-09-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #461195

	* e-uril-marshal.list: Remove needless marshalers.
	* e-text-event-processor.c:
	* e-signature-list.c: Use GObject's marshalers.

2007-09-10  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #471791 

	* e-config-listener.c: Move away from g_asserts to g_crit*
	(e_config_listener_get_boolean_with_default),
	(e_config_listener_get_float_with_default),
	(e_config_listener_get_long_with_default),
	(e_config_listener_get_string_with_default):
	* e-config.c: (e_config_construct), (ec_rebuild),
	(e_config_create_widget), (e_config_target_new):
	* e-dialog-widgets.c: (e_dialog_radio_get),
	(e_dialog_option_menu_get), (e_dialog_get_values):
	* e-event.c: (e_event_target_new):
	* e-import.c: (e_import_target_new):
	* e-menu.c: (e_menu_target_new):
	* e-pilot-map.c: (map_sax_start_element),
	(e_pilot_map_remove_by_pid), (e_pilot_map_lookup_uid):
	* e-popup.c: (e_popup_target_new):
	* e-util.c: (e_flexible_strtod), (e_ascii_dtostr):

2007-09-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #473903

	* e-print.c: (load_page_setup):
	Fixes serious compiler warnings.

2007-08-20  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #367760

	* e-dialog-utils.c: (e_file_get_save_filesel):
	Don't escape characters of file name, suppose it has been already done.

2007-08-18  Tobias Mueller  <muelli@auftrags-killer.org>

        patch by: Tim Yamin <plasm@roo.me.uk>
        reviewed by: Srinivasa Ragavan <sragavan@novell.com> 

        * e-icon-factory.c: (load_icon):
        Optimize pixbuf behaviour, fixes #465573

2007-08-07  Sankar P  <psankar@novell.com>

	reviewed by: Srinivasa Ragavan <sragavan@novell.com> 

	* e-plugin.c: (ep_load_pending):
	Do not load pending hooks,
	if the corresponding plugin is disabled.
	Fixes #383684

2007-07-29  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #451211.

	* e-event.c: (e_event_emit): Replase "==" with "!=" because g_assert()
	occurs if expression is NOT true.

2007-07-27  Lucky Wankhede <wlakke@novell.com>

	** Fixes bug #451211

	* e-event.c
	Changed in (e_event_emit)
	
2007-07-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* e-util.h: Remove E_MAKE_TYPE macro.

	* e-text-event-processor.c: 
	* e-sorter.c:
	* e-text-event-processor-emacs-like.c:
	* e-sorter-array.c:
	* e-bit-array.c: Use G_DEFINE_TYPE instead of E_MAKE_TYPE.

2007-07-26  Sankar P  <psankar@novell.com>

	* e-plugin.c: (e_plugin_configure), (epl_configure),
	(epl_class_init):
	* e-plugin.h:
	Plugins should be configurable within the plugin-manager itself.
	Fixes Preferences dialog bloating.
	See bug #459522

2007-07-06  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #446894

	* e-print.c (load_page_setup):
	Extract GtkPageSetup properties from a GtkPrintSettings object.

	* e-print.c (save_page_setup):
	Merge GtkPageSetup properties into a GtkPrintSettings object.

	* e-print.[ch] (e_print_run_page_setup_dialog):
	New function runs a preconfigured Page Setup dialog and saves
	the configuration to GConf (/apps/evolution/shell/printing).

2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #448223 from Gilles Dartiguelongue  

	* e-util.c: (e_str_without_underscores):
	* e-util.h:

2007-06-15  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #446870

	* e-gui-utils.c: (e_create_image_widget): Add this function back. It
	is used in glade files.
	* e-gui-utils.h:

2007-06-02  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #438467 (Patch from Gilles Dartiguelongue)

	* e-bconf-map.c: (e_bconf_hex_decode), (e_bconf_get_path),
	(e_bconf_get_entry), (e_bconf_get_value), (build_xml),
	(e_bconf_import_xml_blob), (e_bconf_import):
	* e-config.c: (emph_construct_menu), (emph_construct):
	* e-error.c: (ee_load):
	* e-event.c: (emph_construct_item), (emph_construct):
	* e-folder-map.c: (is_type_folder):
	* e-html-utils.c: (url_extract), (email_address_extract),
	(is_citation), (e_text_to_html_full):
	* e-import.c: (emph_construct_importer), (emph_construct):
	* e-menu.c: (emph_construct_menu), (emph_construct):
	* e-pilot-map.c: (map_set_node_timet), (map_sax_start_element),
	(map_write_foreach), (e_pilot_map_write):
	* e-plugin.c: (ep_construct), (ep_load_plugin), (ep_load),
	(ep_load_pending), (e_plugin_register_type), (e_plugin_xml_prop),
	(e_plugin_xml_prop_domain), (e_plugin_xml_int),
	(e_plugin_xml_content), (e_plugin_xml_content_domain),
	(epl_construct), (e_plugin_hook_mask), (e_plugin_hook_id),
	(epth_construct):
	* e-popup.c: (emph_construct_menu), (emph_construct):
	* e-signature.c: (xml_set_bool), (xml_set_prop), (xml_set_content),
	(e_signature_uid_from_xml), (e_signature_set_from_xml),
	(e_signature_to_xml):
	* e-xml-utils.c: (e_xml_get_child_by_name_by_lang),
	(e_xml_get_child_by_name_by_lang_list_with_score),
	(e_xml_get_child_by_name_by_lang_list),
	(e_xml_get_child_by_name_no_lang),
	(e_xml_get_integer_prop_by_name_with_default),
	(e_xml_set_integer_prop_by_name),
	(e_xml_get_uint_prop_by_name_with_default),
	(e_xml_set_uint_prop_by_name),
	(e_xml_get_bool_prop_by_name_with_default),
	(e_xml_set_bool_prop_by_name),
	(e_xml_get_double_prop_by_name_with_default),
	(e_xml_set_double_prop_by_name),
	(e_xml_get_string_prop_by_name_with_default),
	(e_xml_set_string_prop_by_name),
	(e_xml_get_translated_string_prop_by_name): cast fixes and
	compilation warning cleanups.

2007-05-04  Milan Crha  <mcrha@redhat.com>

	** Fixes bug #432867

	* e-util/e-util.c (e_write_file_uri) changed default
	attribute for file from 0755 to 0644

2007-05-11  Srinivasa Ragavan  <sragavan@novell.com>

	* e-icon-factory.c: (e_icon_factory_init): Add support for themable
	application support icons.

2007-04-20  Matthew Barnes  <mbarnes@redhat.com>

	* e-print.c:
	* e-print.h:
	Refactor the printing infrastructure. (#426816)

2007-04-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #429422

	* Makefile.am:
	Remove e-gtk-utils.h and e-gtk-utils.c.

	* e-mktemp.c (get_dir):
	Use g_mkdir_with_parents() instead of e_util_mkdir_hier().

	* e-gui-utils.[ch]:
	Remove e_create_image_widget() and e_button_new_with_stock_icon()

	* e-gui-utils.c (e_icon_for_mime_type):
	Use GtkIconTheme instead of GnomeIconTheme.

	* eggtrayicon.c (gtk_status_icon_init):
	Use g_object_ref_sink() instead of gtk_object_sink().

	* e-sorter-array.c (esa_sort):
	Use g_qsort_with_data() instead of e_sort().

	* e-util.[ch]:
	Some cosmetic cleanups.
	Remove some unused or redundant symbols:
		E_MAKE_X_TYPE
		GET_STRING_ARRAY_FROM_ELLIPSIS
		GET_DUPLICATED_STRING_ARRAY_FROM_ELLIPSIS
		E_OBJECT_CLASS_ADD_SIGNALS
		E_OBJECT_CLASS_TYPE
		e_strdup_strip()
		e_free_object_list()
		e_free_object_slist()
		e_free_string_list()
		e_free_string_slist()
		e_read_file()
		e_write_file_mkstemp()
		e_read_uri()
		e_strsplit()
		e_create_directory()
		e_sort()
		e_strdupv()

	* e-util.c (e_format_number), (e_format_number_as_float):
	e_free_string_list() is dead; just do it manually.

	* e-icon-factory.c:
	Use GtkIconTheme instead of GnomeIconTheme.
	Use GStaticMutex instead of pthread_mutex_t.
	Allocate icons with GSlice.

	* e-xml-utils.c:
	Include missing header file(s).

	* e-dialog-widget.c:
	Drop support for GnomePropertyBox; nothing uses it.

	* e-dialog-widget.c (e_dialog_dateedit_get):
	Use gnome_date_edit_get_time() instead of gnome_date_edit_get_date().

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #419524

	* Include <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>.

	* e-util.c: Remove e_gettext().

	* e-xml-utils.c (e_xml_get_child_by_name_by_lang_list): Use
	g_get_language_names() instead of gnome_i18n_get_language_list().

	* Makefile.am: Remove e-i18n.h.

2007-03-01  Tor Lillqvist  <tml@novell.com>

	* e-print.c (print_dialog_response)
	(e_print_get_dialog_with_config): Bypass the body of these
	functions on non-G_OS_UNIX for now as they use
	gtk_print_unix_dialog_get_settings(). Gtk printing on Win32 needs
	work.

2007-02-27  Jeff Cai <jeff.cai@sun.com>

	* e-mktemp.c: (get_dir):
	Use g_build_filename to get the tempoary directory name.
	Fix #399307

2007-02-12  Srinivasa Ragavan  <sragavan@novell.com>

	** Print settings revamp from Matthew Barnes

	* e-print.c: (pack_settings), (unpack_settings),
	(e_print_load_settings), (e_print_save_settings),
	(print_dialog_response), (e_print_get_dialog):
	* e-print.h:

2007-01-27  Andre Klapper  <a9016009@gmx.de>

	* e-html-utils.c: (e_text_to_html_full):
	identify "sip:" URL's. Fixes bug #396543.

2007-01-22  Srinivasa Ragavan  <sragavan@novell.com>

	** GtkPrint API migration from Ebby Wiselyn.

	* e-print.c: (e_print_load_config), (e_print_save_config),
	(print_dialog_response), (e_print_get_dialog),
	(e_print_get_dialog_with_config):
	* e-print.h:

2006-11-28  Daniel Gryniewicz <dang@gentoo.org>

	** Fix for bug #349966 

	* e-dialog-utils.c: (save_ok), (filechooser_response),
	(e_file_dialog_save), (save_folder_ok), (folderchooser_response),
	(e_file_dialog_save_folder), (e_file_get_save_filesel),
	(e_file_can_save), (e_file_check_local):
	* e-dialog-utils.h:
	* e-util.c: (e_file_update_save_path), (e_file_get_save_path):
	* e-util.h:

2006-11-20  Harish Krishnaswamy  <kharish@novell.com>

	* e-icon-factory.c: (load_icon), (e_icon_factory_get_icon):
	Remove unreachable code and fix the leak of basename.

2006-09-18  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #352450

	* e-cursor.c:
	Replace deprecated GDK function call.

2006-09-07  Tor Lillqvist  <tml@novell.com>

	* Makefile.am (ruledir): Define ruledir here, too, like in
	addressbook/gui/widgets/Makefile.am, as we use it in
	SEARCH_RULE_DIR for the benefit of e-win32-reloc.c. Fixes the
	Win32-specific problem "eab-widgets-WARNING **: Could not load
	addressbook search; no parts". (#348419)

2006-08-27  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #352941

	* e-util.c: (e_write_file_uri): Allow files to be overwritten.

2006-08-24  Tor Lillqvist  <tml@novell.com>

	* e-util.h: Include <cairo.h>, not <cairo/cairo.h>.

2006-08-20  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #349310. Patch from both Laurent Goujon
	and Pavel Roskin.
	
	* e-util.h: Added function declaration for get_font_options.

2006-08-17  Kjartan Maraas  <kmaraas@gnome.org>

	* e-util.c: (get_font_options): Plug some leaks.

2006-07-22  Harish Krishnaswamy  <kharish@novell.com>

	* e-util.c: (get_font_options): Handle cases when the
	props are undefined. This bug is currently causing Evo
	to crash as soon as it comes up.

2006-07-20  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	* e-util.[ch]: (get_font_options): Added code to get font options.

2006-06-15  Tor Lillqvist  <tml@novell.com>

	* e-plugin.c (ep_construct): On Win32, if the compile-time
	localedir's prefix from the plugin's .eplug file matches
	Evolution's compile-time prefix, replace it with the run-time
	prefix (installation directory).

2006-06-09  Chris Heath <chris@heathens.co.nz>

	* e-plugin.c (ep_construct): Fix memory leak.
	Fixes bug #335423.

2006-06-08  Gary Coady  <garycoady@ubuntu.com>

	* e-i18n.h: Use the correct gettext domain for translations.
	Fixes bug #333003. (Committed by Andre Klapper)

2006-06-02  Tor Lillqvist  <tml@novell.com>

	* e-util.c: Don't need the Win32-only fix_percent_l() after all,
	this is taken care of in e_strftime(). (The check in e-d-s's
	configure.in for the support of %l and %k has now been made more
	reliable so it actually works also on Win32.)

2006-06-02  Frederic Peters <fpeters@entrouvert.com>

	* e-error.c: Set new scroll member to false in static 
	declarations. Fixes build breaker #343446.

2006-05-30  Srinivasa Ragavan  <sragavan@novell.com>
	
	* e-error.c: (ee_load), (e_error_newv): Added a new property
	called scroll, to show the messages in a scrolled view port.

2006-05-25  Srinivasa Ragavan  <sragavan@novell.com>

	* e-dialog-utils.c: (save_ok), (e_file_dialog_save),
	(save_folder_ok), (e_file_dialog_save_folder): Added code
	to enable file chooser to work with remote shares
	* e-util.c: (e_write_file), (e_write_file_uri): Added
	a new api to write to remote shares.
	* e-util.h:

2006-04-26  Li Yuan <li.yuan@sun.com>

	* e-text-event-processor-emacs-like.c:
	(e_text_event_processor_emacs_like_event):
	Handle SUN Type 6 keyboard's copy, paste and cut key.
	Fix #271661.

2006-03-27  Tor Lillqvist  <tml@novell.com>

	* e-util.c (fix_percent_l): [Win32] Instead of %l (which is a GNU
	extension not implemented in the Microsoft C library) use %I.
	Fixes #336055.
	(e_strftime_fix_am_pm): Call fix_percent_l() when necessary.

2006-02-12  Karsten Bräckelmann  <guenther@rudersport.de>

	* e-error.c (e_error_newv): 
	Removing unnecessary markup in translateable string.
	Fixes part of bug #272789.

2006-02-09  Harish Krishnaswamy  <kharish@novell.com>

	* e-bconf-map.c: Upstreaming Olaf Hering's patch
	to use signed chars. 

2006-02-08  Kjartan Maraas <kmaraas@gnome.org>

	* e-config.c: Use guint for 1-bit bitfield.
	* e-icon-factory.c: (load_icon): Remove unused var
	* e-import.c: (ep_init), (ep_finalise): Remove unused vars
	* e-plugin.c: (e_plugin_register_type): Rename a var
	* e-plugin.h: guint for 1-bit bitfield
	* e-popup.c: (ep_finalise): Add comment.
	* e-profile-event.c: Remove unused prototype
	* e-text-event-processor-emacs-like.c: 
	(e_text_event_processor_emacs_like_event): Add comment about
	a compiler warning from the Intel compiler.

2006-02-07  Benjamin Berg  <benjamin@sipsolutions.net>
	* e-gui-utils.c:
	* e-icon-factory.c:
	accept SVGs for stock icons. Fixes bug 304417.

2006-01-11  Harry Lu  <harry.lu@sun.com>

	* e-marshal.list: removed.

2006-01-11  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-menu.c: Fixes a build break. Replace the 
	libedataserver/e-util.h with libedataserver/e-data-server-util.h.

2006-01-10  Simon Zheng  <simon.zheng@sun.com>

	* e-mktemp.c (get_dir):
	* e-plugin.c:
	* e-util.[ch] (e_create_directory):
	(e_sort):
	Delete e_mkdir_hier(), and use e_util_mkdir_hier() 
	instead of it.

	Delete e_strstrcasea(), and use e_util_strstrcase() 
	instead of it.

	Delete e_strftime(), use the copy in evolution-data-server/
	libedataserver/e-data-server-util.c instead of it.

	Delete e_filename_make_safe(), and use the copy in 
	evolution-data-server/libedataserver/e-data-server-util.c
	instead of it.

	Detelte e_utf8_strftime(), and use the copy in 
	evolution-data-server/libedataserver/e-data-server-util.c
	instead of it.     

2006-01-06  Simon Zheng <simon.zheng@sun.com>

	* e-account.[ch], e-account-list.[ch]: removed. 
	Merged to evolution-data-server/libedataserver/.
	* Makefile.am: remove above files from list.

2006-01-05  Tor Lillqvist  <tml@novell.com>

	* e-plugin.c (epl_construct)
	* e-menu.c (emph_construct_menu): [Win32] The interface of
	e_util_replace_prefix() changed a bit.

2006-01-02  Tor Lillqvist  <tml@novell.com>

	* e-menu.c (emph_construct_menu): Don't eventually free a return
	value from xmlGetProp() with g_free(). g_strdup() it first, and
	xmlFree() what xmlGetProp() returned.

	On Win32, replace a configure-time prefix of the ui file with the
	run-time one.

2005-12-19  Chenthill Palanisamy  <pchenthill@novell.com>

	committing for David Trowbridge <trowbrds cs colorado edu>

	* e-dialog-widgets.[ch]	(e_dialog_combo_box_set), 
	(e_dialog_combo_box_get): Added	new functions to get/set
       	combox values.

2005-12-18  Tor Lillqvist  <tml@novell.com>

	* e-dialog-utils.c (e_file_dialog_save_folder): Silence unused
	variable warning.

2005-12-17  Tor Lillqvist  <tml@novell.com>

	* Makefile.am (INCLUDES): Don't need EXTRA_GNOME_CFLAGS or
	GNOME_FULL_CFLAGS.

	* e-error.c
	* e-fsutils.c
	* e-icon-factory.c
	* e-mktemp.c
	* e-plugin.c: Use GLib API where applicable for portability.

	* e-error.c
	* e-folder-map.c
	* e-pilot-map.c
	* e-plugin.c: Use e_xml_parse_file() and e_xml_save_file()
	instead of using libxml directly.

	* e-plugin.c: Add copyright header.
	(epl_construct): [Win32 only:] Remap the plugin location from the
	compile-time path to to a run-time path, to handle the common case
	where the location in the .eplug file is in Evo's compile-time
	prefix. Use libedataserver's e_util_get_prefix() and
	e_util_replace_prefix(). We could alternatively use relative paths
	in the .eplug files on Win32, like we do for .server files.

	* e-util-private.h (fsync)
	* e-util.c: Don't bother with a Win32 implementation of fsync() as
	the uses of fsync() in evo are pretty irrelevant. Just #define
	fsync() away on Win32.

	* e-xml-utils.c (e_xml_get_child_by_name, e_xml_save_file): Remove
	these functions that are now in libedataserver/e-xml-utils.c

	* eggtrayicon.c: For building on Win32 against GTK+ 2.8, include a
	copy of the GtkStatusIcon code from GTK+ HEAD (i.e., what will be
	GTK+ 2.10) and some helper functions from gdk/win32. Eventually
	when GTK+ 2.10 is released and Evo no longer needs to support
	older GTK+ versions, eggtrayicon.[ch] can be removed completely
	from here, as the use of eggtrayicon in ../calendar/gui/
	alarm-notify/alarm-queue.c will automatically switch to using
	GtkStatusIcon instead.

	* eggtrayicon.h: Ditto, for building on Win32 against GTK+ 2.8,
	include a copy of gtkstatusicon.h from GTK+ HEAD.

2005-12-12  Irene Huang <Irene.Huang@sun.com>

	reviewed by: Veerapuram Varadhan  <vvaradhan@novell.com>
	
	* Makefile.am: Remove files that have an identical counterpart in
	libedataserver, e-list.[c|h], e-list-iterator.[c|h], e-iconv.[c|h]
	e-component-listener.[c|h], md5-utils.[c|h], e-time-utils.[c|h],
	e-uid.[c|h]. Change md5-utils.h to e-html-utils.h in pilot-compile.
	* e-component-listener.c:
	* e-component-listener.h: 
	* e-iterator.c:
	* e-iterator.h:
	* e-time-utils.c:
	* e-time-utils.h:
	* e-iconv.c:
	* e-iconv.h:
	* e-uid.c:
	* e-uid.h:
	* md5-utils.c:
	* md5-utils.h:
	* e-list-iterator.h:
	* e-list-iterator.c:
	* e-list.h:
	* e-list.c: 
	Removed
	* e-account-list.h:
	* e-account.c:
	* e-signature-list.c:
	* e-signature.c:
	* e-signature-list.h: Change inclusion of <e-util/e-list.h>
	to <libedataserver/e-list.h>. Change inclusion of "e-uid.h" and
	"e-list.h" to <libedataserver/e-uid.h> and <libedataserver/e-list.h>.

2005-12-09  Harish Krishnaswamy  <kharish@novell.com>

	* e-util.[ch] (e_str_compare), (e_str_case_compare),
	(e_collate_compare), (e_int_compare): prefix the wrapper 
	functions with e - do not use g lest it is assumed to 
	be a glib function.

2005-11-26  Tor Lillqvist  <tml@novell.com>

	* e-dialog-utils.c
	* e-gtk-utils.c: Conditionalize X11 specific code on GDK_WINDOWING_X11.

	* e-menu.c (emph_construct_menu): Use g_get_tmp_dir() instead of
	hardcoding /tmp.

	* e-util.c (e_strstrcase): Use g_ascii_strncasecmp() instead of
	the deprecated g_strncasecmp(). What kinds of strings this
	function is supposed to be used on (UTF-8 or some random single-
	or multi-byte encoding) is anybody's guess. This function isn't
	used in Evolution and should probably go away, though. And this is
	one of the files that have a partially duplicated copy in
	e-d-s/libedataserver, too, so doubly so.
	(e_filename_make_safe): Mark more bytes as unsafe on Win32. Add
	comments. This function is really under-specified and weird, one
	wonders whether it really does what the author thought it should
	do.
	(fsync): Add Win32 implementation of fsync().
	
	* e-xml-utils.c (e_xml_get_bool_prop_by_name_with_default): Use
	g_ascii_strcasecmp() instead of the deprecated g_strcasecmp(),
	especially as we are comparing to literal ASCII strings.

2005-11-25  Tor Lillqvist  <tml@novell.com>

	* e-util-private.h: Sort the stuff in the Win32 part for
	clarity. Add some new run-time overrides for compile-time
	paths. Include fcntl.h and define O_BINARY as zero if not defined
	(on Unix).

	* e-win32-reloc.c: Sort here, too, and add the implementation for
	the new run-time overrides.

	* Makefile.am: Ditto here. Link with INTLLIBS.

2005-11-09  P. S. Chakravarthi <pchakravarthi@novell.com>

	Fixes #314638
	* e-categories-config.c (e_categories_config_get_icon_for):
	added a g_object_unref to unref the GdkPixBuff object
	created in this function.

2005-10-18  Srinivasa Ragavan <sragavan@novell.com>

	* e-dialog-utils.c: (save_ok), (e_file_dialog_save),
	(save_folder_ok), (folderchooser_response),
	(e_file_dialog_save_folder): Shows the default file name in the
	save file dialog. Added code to choose folder to save multiple
	attachments
	* e-dialog-utils.h: Added an additional parameter to e_file_dialog_save.

2005-10-04  Devashish Sharma  <sdevashish@novell.com>

	* e-util.c (g_str_case_compare): added a function for case insensitive
	and locale sensitive UTF8 string compare. See #207110.

2005-09-28  Tor Lillqvist  <tml@novell.com>

	* e-html-utils.c (e_text_to_html_full): Use g_ascii_strncasecmp()
	instead of strncasecmp(). We are comparing to literal ASCII
	strings, just casefolding ASCII is enough. Also better for
	portability.

	* e-profile-event.c (e_profile_event_target_new): Use
	g_get_current_time() instead of gettimeofday() for portability.

2005-08-23  Not Zed  <NotZed@Ximian.com>

	* e-util.c (e_mkdir_hier): cast warning, good ol win32 patches.
	(e_strftime): fix some clahey-code to use the right variable and
	not try to modify const strings by stealth.

	* eggtrayicon.h: add missing prototype.

	* e-gui-utils.c (e_create_image_widget): remove unused pixbuf.

	* e-dialog-utils.c (dialog_realized): fix cast.
	(e_dialog_set_transient_for_xid): same.
	(e_file_dialog_save): fix cases for build.

	* e-categories-config.c
	(e_categories_config_open_dialog_for_entry): cast & use right type
	for text.
	(icons_table[]): remove unused.

	* e-account-list.c (e_account_list_remove_account_proxies): cast
	to fix warning.

2005-08-18  David Malcolm  <dmalcolm@redhat.com>

	* e-plugin.c (ep_set_enabled): Fix compiler warning on early bailout

2005-08-18  Tor Lillqvist  <tml@novell.com>

	* e-iconv.c (e_iconv_init): Use g_get_charset() on Win32 to get
	locale charset. Free return value from g_win32_getlocale().

2005-08-10  Tor Lillqvist  <tml@novell.com>

	* e-xml-utils.c (e_xml_get_child_by_name_by_lang): Use
	g_win32_getlocale() to get locale on Win32. (setlocale() returns
	strings like "Swedish_Finland.1252", we want the Unixish "sv_FI"
	style.) Fix typo, use the lang parameter and not "lang" string
	literal.

	* Makefile.am: Use privsolib instead of privlib. On Unix they are
	the same, on Win32 privsolibdir is the same as libdir.
	(INCLUDES): Pass also EVOLUTION_SYSCONFDIR, EVOLUTION_DATADIR,
	EVOLUTION_LIBDIR, EVOLUTION_LIBEXECDIR and EVOLUTION_SOUNDDIR so
	that the Win32 run-time path lookup code in e-win32-reloc.c can
	handle them, too.

	* e-win32-reloc.c: Handle also the above, and the bare PREFIX.

	* e-util-private.h: Ditto here. (PREFIX, SYSCONFDIR, DATADIR and
	LIBDIR without the EVOLUTION_ prefix, as that is how they are to
	be used, cf. gnome-program.h.) Also EVOLUTION_ETSPECDIR.

2005-07-11 Vivek Jain <jvivek@novell.com>
	
	* e-config.c: (e_config_target_changed):
	added a idle handler that calls ec_rebuild after callback operations
	are completed.
	**Fixes #307794
	
2005-07-10  Shreyas Srinivasan

	* e-util/e-account.[ch]: Add structures to handle proxies.
	* e-util/e-account-list.[ch]: Add functions to remove proxy
	accounts and account's proxies.
	
2005-07-06  Not Zed  <NotZed@Ximian.com>

	* e-import.c (e_import_status): added callback for importers to
	report status.
	(e_import_cancel): added function for driver to abort an import.
	(eih_cancel): implemented for hook.

2005-07-05  Not Zed  <NotZed@Ximian.com>

	* e-import.c: cleaned up/finished api.

2005-06-18  Tor Lillqvist  <tml@novell.com>

	* Makefile.am (WIN32_BOOTSTRAP_LIBS): Use bootstrap library for
	libemisdwidgets. Code here uses e_utf8_to_locale_string() from
	libemiscwidgets which hasn't been built yet if building from
	scratch.
	(INCLUDES) Remove GAL_IMAGESDIR, unused leftover. Add the
	definitions of EVOLUTION_GLADEDIR, EVOLUTION_HELPDIR,
	EVOLUTION_ETSPECDIR, SEARCH_RULE_DIR and EVOLUTION_GALVIEWSDIR
	(for e-win32-reloc.c). Remove undefined GNOME_INCLUDEDIR.
	(libeutil_la_LDFLAGS, libeconduit_la_LDFLAGS): Use NO_UNDEFINED.
	(libeutil_la_LIBADD, libeconduit_la_LIBADD): Link with necessary
	libs.

	* e-win32-reloc.c: Update now that it is here in evolution. Use _e
	prefix instead of _gal. Add getters for more run-time paths.

	* e-util-private.h: Corresponding changes.

2005-06-08  Srinivasa Ragavan <sragavan@novell.com>
	* e-cursor.[ch]: Added functions to show busy cursor.
	* Makefile.am: Add the files

2005-05-25  Not Zed  <NotZed@Ximian.com>

	* e-plugin-mono.[ch]: Removed, these are now implemented as a
	plugin.

	* e-plugin.c (ep_load_plugin): separate out plugin xml loading
	code from the loading loop.  If a plugin type doesn't exist, then
	save it in a list for later checking.
	(ep_load): call above to do the work.
	(e_plugin_register_type): check the pending doc list, if any
	plugins now have a type, load them.
	(e_plugin_type_hook_get_type): a plugin hook for registering new
	plugin types ('loaders') at runtime.

2005-05-19  Not Zed  <NotZed@Ximian.com>

	* e-import.[ch]: Initial, and un-finished work on importer plugin
	hooks.

2005-05-16  Not Zed  <NotZed@Ximian.com>

	* Makefile.am: added e-error.[ch], removed e-error-tool, and added
	e-system.error.xml

2005-05-13  Not Zed  <NotZed@Ximian.com>

	* e-popup.c (emph_popup_factory): if we have a factory method
	supplied, call that as well.  More flexible popup building.
	(emph_construct_menu): load factory def.

2005-05-03  Not Zed  <NotZed@Ximian.com>

	* e-profile-event.c (e_profile_event_emit): undefine
	e_profile_event_emit if we are compiled without profiling.  The
	'abi' is not, nor was ever changed.

	* e-profile-event.h: revert previous patch, the assumptions were
	incorrect & the code misunderstood.

2005-05-02  Rodney Dawes  <dobey@novell.com>

	* e-profile-event.h (e_profile_event_emit): This method is a no-op if
	we are building without ENABLE_PROFILE defined, so we don't need to
	define a macro to no-op it, and change ABI at compile time
	
2005-04-28  Not Zed  <NotZed@Ximian.com>

	* e-profile-event.[ch]: A profiling plugin hook.

2005-04-27  Mengjie Yu  <meng-jie.yu@sun.com>

	* e-config.c: (e_config_create_window):
	We should set the title of the window.

	Fixes #300477

2005-03-14  Not Zed  <NotZed@Ximian.com>

	** See bug #73550 (related for config pages)

	* e-config.c (ech_config_widget_factory): if we are disabled, then
	noop.
	(ech_config_factory, ech_commit, ech_abort): same.

2005-03-01  Not Zed  <NotZed@Ximian.com>

	* *.c: Remove/disable debug.

2005-02-23  Hans Petter Jansson  <hpj@novell.com>

	* Makefile.am (eutilinclude_HEADERS)
	(libeutil_la_SOURCES): Remove e-passwords from here, it now
	lives in libedataserverui.

	* e-passwords.[ch]: Removed.

2005-02-10  Not Zed  <NotZed@Ximian.com>

	** See bug #61363 & mail/ChangeLog

	* e-config.c (ec_rebuild): work properly if the page factory
	returns NULL, so the code can selectivly turn off pages.
	(ec_druid_next, ec_druid_prev): skip non-created pages.

	* e-config.c (ec_rebuild): re-order notebook child properly.
	Connect to destroy events so we update the widget-node widget
	pointer properly for linked ui reconfigures.

2005-02-17  Not Zed  <NotZed@Ximian.com>

	* e-popup.c (ep_prune_tree, ep_build_tree, e_popup_create_menu):
	completely rewritten.  Simpler and more robust.

2005-02-16  Not Zed  <NotZed@Ximian.com>

	* e-popup.c (e_popup_create_menu): do the visibility mask test
	before sorting.  don't perform it on bar's or submenu's anymore,
	calculate when not to show/create them.

2005-02-14  Rodney Dawes  <dobey@novell.com>

	* e-menu.c (emph_construct): If the plug-in is not enabled, do nothing

2005-02-07  Not Zed  <NotZed@Ximian.com>

	* e-popup.c (emph_construct_menu):
	* e-menu.c (emph_construct_menu):
	* e-config.c (emph_construct_menu): Don't let the 'id' field,
	which identifies the target menu/whatever, to be NULL, otherwise
	it gets added to all.

2005-02-04  Rodney Dawes  <dobey@novell.com>

	* e-passwords.c (ep_ask_password): Set the border widths for the
	dialog containers to be HIG compliant
	Fix the padding/spacing on the internal vbox to be HIG compliant

2005-01-27  Mengjie Yu  <meng-jie.yu@sun.com>

	* e-request.c: (e_request_string):add a11y description for the
	entry.

2005-01-26  Jeffrey Stedfast  <fejj@novell.com>

	* e-config.c (ech_check): If the plugin isn't enabled, return TRUE
	so that the suer doesn't get locked in one of the account druid
	pages.

2005-01-21  JP Rosevear  <jpr@novell.com>

	Fixes #46404
	
	* Makefile.am: build new files

	* e-print.[hc]: print related config and dialog routines

2005-01-17  Rodrigo Moya <rodrigo@novell.com>

	* e-url.[ch]:
	* Makefile.am: removed e-url.[ch], which are now in libedataserver.

2005-01-08  Not Zed  <NotZed@Ximian.com>

	* e-url.c (e_url_shroud): dont' use '%.*s' for truncating string
	output.

2005-01-09  JP Rosevear  <jpr@novell.com>

	* e-url.c (e_uri_new): fix parsing of query string

2005-01-07  Rodrigo Moya <rodrigo@novell.com>

	* e-categories-config.c (e_categories_config_open_dialog_for_entry):
	set the dialog's parent.

2005-01-07  Rodrigo Moya <rodrigo@novell.com>

	* e-categories-config.c (e_categories_config_open_dialog_for_entry):
	use the new ECategoriesDialog in libedataserverui.

2005-01-06  Rodney Dawes  <dobey@novell.com>

	* e-config.c (e_config_create_window): Add the GTK_DIALOG_NOSEPARATOR
	flag, and set appropriate border widths around the main dialog vbox,
	and action area, to be more HIG compliant

2005-01-06  JP Rosevear  <jpr@novell.com>

	* e-error-tool.c (main): use the base name only, so if a full path
	is passed to us we still write out to the current directory, for
	when builddir != srcdir
	
2005-01-04  Rodrigo Moya <rodrigo@novell.com>

	* e-categories-config.[ch]: removed most of the API. The rest will
	be removed as the GAL dependencies are sorted out.

2004-12-22  Not Zed  <NotZed@Ximian.com>

	* e-plugin.c: include config.h.

2004-12-17  Not Zed  <NotZed@Ximian.com>

	* e-popup.c (e_popup_add_items): add a translation domain to api.
	(e_popup_create_menu): translate the label using the supplied
	domain.
	(emph_popup_factory): pass domain to popup_add_items.

	* e-plugin.c (ep_construct): if we have a localedir set, then
	bindtextdomain so gettext can find it.

2004-12-21  JP Rosevear  <jpr@novell.com>

	Fixes #30992
	
	* e-config.c (e_config_create_window): use cancel rather than
	close button

2004-12-21  JP Rosevear  <jpr@novell.com>
	
	* e-account.c: convert to G_DEFINE_TYPE

	* e-account-list.c: ditto
	
2004-12-08  Not Zed  <NotZed@Ximian.com>

	* e-plugin.c (e_plugin_load_plugins): kill warning if we can't
	open the path.

2004-12-06  Not Zed  <NotZed@Ximian.com>

	* e-config.c (ec_rebuild): set the table spacings to 6 for
	generated tables.

2004-11-22  Not Zed  <NotZed@Ximian.com>

	* e-config.c (ec_rebuild): if the table existed before and we have
	no factory, destroy it always.

2004-12-03  Not Zed  <NotZed@Ximian.com>

	* e-config.c (ec_rebuild): revert the patch from chenthill, this
	wont work yet.

2004-11-29  Mengjie Yu  <meng-jie.yu@sun.com>

	* e-config.c: (ec_rebuild):add mnemonic for label.
	* e-passwords.c: (ep_ask_password):add description for password dialog.

2004-11-26  JP Rosevear  <jpr@novell.com>

	* e-gui-utils.c (e_create_image_widget): get the image directly
	from the icon factory

	* e-config.c: insert debug defines so we can
	turn spew on and off

	* e-event.c: insert debug defines so we can turn spew on and off	

	* e-menu.c: insert debug defines so we can turn spew on and off		
	
	* e-plugin.c: insert debug defines and set to off for now

	* e-popup.c: insert debug defines so we can turn spew on and off
	(e_popup_create_menu): get the image directly from the icon
	factory

2004-11-26  JP Rosevear  <jpr@novell.com>
	
	* e-icon-factory.h: add proto

	* e-icon-factory.c (e_icon_factory_init): cast to kill warning
	(e_icon_factory_get_image): new function to return a GtkImage
	widget give an icon name and size

2004-11-25  Chenthill Palanisamy <pchenthill@novell.com>

	* e-config.c (ec_rebuild): Set the row and column spacings as
	tweleve while creating the table to make it HIG compliant.
       	
2004-11-19  Not Zed  <NotZed@Ximian.com>

	* e-plugin.c (ep_load): if the plugin fails to load just disable
	it, don't unref it (it may be referenced elsewhere).

2004-11-18  Not Zed  <NotZed@Ximian.com>

	* e-plugin.c (epl_loadmodule): split out module loadng code.
	(epl_construct): if we're enabled, and load-on-startup is set,
	load the module right away.  Not to be abused!

2004-11-16  Not Zed  <NotZed@Ximian.com>

	* e-host-utils.[ch]: removed, code moved into
	camel-net-utils.[ch].

2004-11-15  Not Zed  <NotZed@Ximian.com>

	* e-trie.[ch], e-memory.[ch], e-sexp.[ch], e-msgport.[ch]: Moved
	to eds/libedataserver.

	* e-path.[ch]: removed & deleted.

2004-11-03  Not Zed  <NotZed@Ximian.com>

	* e-plugin.c (e_plugin_list_plugins): added helper api to list all
	plugins.
	(ep_construct): load authors into new list for them.
	(e_plugin_register_type): setup disabled list.
	(ep_construct): dont load the hooks if we're not enabled.
	(e_plugin_enable): make this a virutal method.
	(e_plugin_invoke): if we're disabled, noop.

2004-11-01  Not Zed  <NotZed@Ximian.com>

	** See bug #68787

	* e-account.c (xml_set_content): check the new val isn't null
	before dereferencing it.
	* e-account.c (xml_set_prop): same here.

2004-10-28  Not Zed  <NotZed@Ximian.com>

	* e-config.c (ec_rebuild): revert the last change.

2004-10-28  Not Zed  <NotZed@Ximian.com>

	* e-config.c (ec_rebuild): set the default row/col spacings of the
	table.

2004-10-20  Not Zed  <NotZed@Ximian.com>

	* e-config.c (ec_rebuild): check for empty trailing sections/pages
	after we exit the main loop.

	* e-plugin.c (e_plugin_get_type): make ~/.eplugins the default
	eplugin location, not ~/.eplug.

2004-10-18  Not Zed  <NotZed@Ximian.com>

	* e-config.h: fix some forward decls.

2004-10-19  JP Rosevear  <jpr@novell.com>

	* e-config.c, e-event.c, e-menu.c, e-plugin.c, e-plugin.h,
	e-popup.c: convert to org.gnome hook names

2004-10-07  Jeffrey Stedfast  <fejj@novell.com>

	* e-passwords.c (ep_ask_password): Use "%s" as the formatter
	argument and msg->prompt as a printf-style argument rather than
	using it as the format string. Fixes bug #67622.

2004-10-12  Not Zed  <NotZed@Ximian.com>

	* e-config.c (ech_check, ech_config_factory, emph_construct_menu):
	setup a "check" handler, page-check/validation callback.

	* e-popup.c (e_popup_new): new method to create a targetless popup
	menu.

2004-10-08  JP Rosevear  <jpr@novell.com>

	* e-plugin.c (ep_load): fix typo

2004-10-08  Not Zed  <NotZed@Ximian.com>

	* e-plugin.c (ep_load): handle wrong root element properly.  From
	David Trowbridge <David.Trowbridge@Colorado.edu>

2004-10-07  Not Zed  <NotZed@Ximian.com>

	* e-plugin.h: Fix the function pointer types!

	* e-plugin.c (epl_invoke): noop if we're disabled, and do some
	lifecycle stuff now, call e_plugin_lib_enable on the module if it
	exists.

2004-10-07  Not Zed  <NotZed@Ximian.com>

	* e-config.c (ec_rebuild): show the toplevel notebook if we
	had to create one, always.

	* e-menu.c (e_menu_add_items): initialise node->menu properly.

	* e-plugin.c (ep_load): read/initialise a unique id for all
	plugins and track them in a hashtable.
	(ep_construct): refactor so we have more control over what
	happens.  if the hook handling class isn't registered yet, just
	note it and keep going.
	(e_plugin_hook_new): remove this, its handled internally by above.

2004-10-06  Not Zed  <NotZed@Ximian.com>

	* e-popup.c (e_popup_create_menu): only take one mask parameter,
	and implement EPopupItem->enable to do what the other mask did.
	(ep_activate): if this is a toggle or radiobutton, set the active
	state on the item->type.
	(e_popup_create_menu): if a menu image starts with gtk-, then
	assume it is a gtk stock image instead.

2004-08-27  Not Zed  <NotZed@Ximian.com>

	* e-passwords.c (e_passwords_ask_password): return cancelled if
	we're in an offline state.

2004-08-26  Rodrigo Moya <rodrigo@novell.com>

	* eggtrayicon.[ch]: updated from libegg.

2004-08-20  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* e-dialog-utils.c: (e_notice):
	* e-passwords.c: (ep_ask_password):
	Don't call gtk_dialog_set_has_separator on Gtk Message Dialog 
	with GTK+ >= 2.4.0.

2004-08-13  Rodrigo Moya <rodrigo@novell.com>

	* e-categories-config.c: include gtkdialog.h rather than gnome-dialog.h.

2004-08-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* e-dialog-utils.c: Optionally use GtkFileChooser if compiled
	against Gtk+ >= 2.4.0

2004-08-10  Not Zed  <NotZed@Ximian.com>

	** See bug #61840, and others.

	* e-passwords.c: Lots of changes.  The api is now fully
	multi-thread safe, all calls are serialised internally, even
	recursive main-loop calls.  Small api changes to the
	ask_password call to add some new features required by the mailer
	and to clean up some of the names.
	(e_passwords_cancel): new procedure to cancel any outstanding
	password requests, for when we need to go uninteractive.

2004-08-09  Rodney Dawes  <dobey@novell.com>

	* e-icon-factory.c (icon_foreach_remove): We must return TRUE here
	so that things actually get removed from the list

2004-08-07  ERDI Gergo  <cactus@cactus.rulez.org>

	* e-account.h: Added new receipt_policy field to services

2004-08-05  Rodrigo Moya <rodrigo@novell.com>

	* e-icon-factory.c (e_icon_factory_init): connect to "changed"
	signal on the GnomeIconTheme object.
	(icon_theme_changed_cb): g_hash_table_foreach_remove all items in the
	hash table.
	(icon_foreach_remove): callback for removing hash table items.

2004-08-05  Rodrigo Moya <rodrigo@novell.com>

	Fixes #62030

	* e-icon-factory.c (load_icon): get the icon_key as a new argument
	and use that in the call to icon_new().
	(e_icon_factory_get_icon): pass icon_key to load_icon().
	(e_icon_factory_get_icon_list): ditto.

2004-08-01  JP Rosevear  <jpr@novell.com>

	* e-pilot-util.c (e_pilot_get_sync_source): find the source with
	the pilot-sync property
	(e_pilot_set_sync_source): give the source the pilot-sync property
	and make sure its the only one

	* e-pilot-util.h: add prototypes

	* Makefile.am (eutilincludedir): don't build pilot settings

2004-07-20  Not Zed  <NotZed@Ximian.com>

	* e-dialog-utils.c: include config.h.  See #61395.

2004-07-12  Dan Winship  <danw@novell.com>

	* e-mktemp.c (e_mktemp, e_mkdtemp): un-const the return values,
	since they need to be freed
	(d): turn off debugging
	(expire_dir_rec): remove debug printfs

2004-08-24  JP Rosevear  <jpr@novell.com>

	* Makefile.am: define EVOLUTION_PLUGINDIR

	* e-plugin.c (e_plugin_get_type): add both a global and user
	specifc eplug path as defaults
	(e_plugin_load_plugins): just skip a directory if it can't be
	opened

2004-09-10  Not Zed  <NotZed@Ximian.com>

	* e-popup.c (emph_construct_menu): duh, setup the hook pointer.

	* e-menu.c (e_menu_add_items): pass pixmaps and ui files to this
	function now.
	(e_menu_add_pixmap): removed, covered by above.
	(e_menu_add_ui): removed, covered by above.
	(emph_construct_menu): setup the hook pointer properly.

	* e-menu.h: moved the pixmap and ui file structures to be public,
	removed hte hook equivalents.

2004-09-09  Not Zed  <NotZed@Ximian.com>

	* e-event.c (e_event_remove_items): implement a remove function.
	(e_event_add_items): return a handle to pass to above.
	(emph_event_handle): noop if we're disabled.

	* e-popup.c (emph_popup_factory): noop if the
	plugin is disabled.

	* e-plugin.c (ep_init): setup an enabled bit for the plugin.
	Preliminary work on being able to manage plugins.
	(e_plugin_hook_enable): set hook enable state.
	(e_plugin_enable): set plugin enable state.

2004-09-07  Not Zed  <NotZed@Ximian.com>

	* e-config.c (ec_rebuild): pass the right old widget to the page
	factory.
	(ec_widget_destroy): unref the config and the target when done.
	(e_config_create_widget): force the notebook to page 0, workaround
	some other bug i don't understand.
	(e_config_create_window): set dialog hint on druid.

2004-09-06  Not Zed  <NotZed@Ximian.com>

	* e-account.c (e_account_import): emit a changed event on the dest.
	(e_account_set_from_xml): emit a changed event if we were.

	* e-config.c (ec_rebuild): add a table item for some type-safety.
	remove/alter the asserts so the code attemps to fail gracefully
	rather than just fail.

2004-09-01  Not Zed  <NotZed@Ximian.com>

	* e-menu.[ch]:
	* e-popup.[ch]:
	* e-config.[ch]:
	* e-event.[ch]: API syncrhonisation.  Item callbacks now get the
	root object, the item, and user-supplied data.  Removed
	now-redundant data and structures. Documentation updates.

2004-08-30  Not Zed  <NotZed@Ximian.com>

	* e-popup.c (emph_construct_item): just build a popupitem
	directly, use user_data to pass the activate method name.

	* e-popup.h: removed epopuphookitem.

	* e-popup.c (emph_construct_item): dont set hook on hookitem
	anymore, dont need to set user_data either.

	* e-popup.h: no longer pass parent pointer in EPopupHookItem, its
	handled by add_items's data now.

	* e-popup.c (ep_finalise): re-arrange and call freefunc with the
	new args.
	(e_popup_create_menu): change the activate data so we can pass the
	new api arguments.
	(ep_activate): changes for api changes.
	(emph_popup_factory): no longer takes target arg, taken from the
	popup, pass the popuphook to the add_items call.
	(emph_popup_activate): changed for new argument types.

	* e-popup.h: removed popup from epopupitem.

	* e-popup.c (e_popup_add_static_items): make private/rename to
	ep_add_static_items.
	(ep_add_static_items): dont pass target, it is set on the epopup
	structure.
	(e_popup_add_items): change the freefunc to be an EPopupItemsFunc
	and add a user-data field, and track the parent epopup.

	* e-popup.h: change the activatefunc to pass the target and data
	supplied to add_items.

2004-08-25  Not Zed  <NotZed@Ximian.com>

	* e-config.c (e_config_new): removed, this shouldn't be here for
	an abstract class.
	(*): Added doco.

2004-08-24  Not Zed  <NotZed@Ximian.com>

	* e-config.c (emph_construct_item): translate the label text.

	* e-popup.c (emph_construct_item): translate the label text.

	* e-plugin.c (e_plugin_xml_prop_domain): helper to get a property
	translated.
	(ep_construct): translate the name and description based on the
	new domain tag.  get the description as tag content not property.
	(e_plugin_xml_content_domain): similar for xml node content.

2004-08-24  Not Zed  <NotZed@Ximian.com>

	* e-account.c (init): setup some defaults for the account.

	* e-config.c (e_config_create_widget): remove target arg actually.
	(ec_rebuild): add druid page start/end pages.  fixes.
	(ec_druid_finish, ec_druid_cancel): handle finishing the druid.

2004-08-23  Not Zed  <NotZed@Ximian.com>

	* e-config.c (ec_druid_prepare, ec_druid_prev, ec_druid_next):
	handle druid navigation.

2004-08-20  Not Zed  <NotZed@Ximian.com>

	* e-config.c (e_config_target_changed): add 'how' changed arg.
	(e_config_create_widget): dont take target anymore, set that
	separately.
	(e_config_set_target): new virtual method to set the target.
	(ec_set_target): implementation.

2004-08-19  Not Zed  <NotZed@Ximian.com>

	* e-account.c (e_account_set_bool): only emit changed if it did.

2004-08-17  Not Zed  <NotZed@Ximian.com>

	* e-config.c (e_config_page_check): fix a past-o.
	(e_config_target_changed): treat the returned page for a druid
	page factory as a gnomedruidpagestandard, so get_page works, etc.

2004-08-16  Not Zed  <NotZed@Ximian.com>

	* e-event.[ch]: Added event hook and dispatch router.

2004-08-13  Not Zed  <NotZed@Ximian.com>

	* e-plugin.c (e_plugin_load_plugins): don't take a path, load all
	paths set.
	(e_plugin_add_load_path): add a load path to the search path.
	(e_plugin_get_type): setup the initial load path from environment
	or defaults.
	(e_plugin_xml_int): helper to get a prop in int format.

2004-08-11  Not Zed  <NotZed@Ximian.com>

	* e-config.c (e_config_target_changed): handle DRUID root type.

2004-08-05  Not Zed  <NotZed@Ximian.com>

	* e-account.c (class_init): add a changed signal.
	(e_account_set_string, e_account_set_int, e_account_set_bool):
	emit changed signal if it did.

	* e-config.c (e_config_add_page_check): add a page verification
	function.  It will be called for the given page, or all pages, to
	verify the page contains valid data.

2004-07-29  Not Zed  <NotZed@Ximian.com>

	* e-account.c (e_account_get_string, e_account_get_int) 
	(e_account_get_bool, e_account_set_string, e_account_set_int) 
	(e_account_set_bool): implement.  completely table driven.

2004-07-02  Chris Toshok  <toshok@ximian.com>

	[ fixes #60691 ]
	
	* e-iterator.h: rename the "delete" member to
	"remove", to fix c++ build.

	* e-iterator.c (e_iterator_delete): same.
	(e_iterator_class_init): same.

	* e-list-iterator.c (e_list_iterator_class_init): same.
	(e_list_iterator_remove): same.

2004-06-03  Dan Winship  <danw@novell.com>

	* e-icon-factory.c (load_icon): If the icon_name is an abolute
	path, just load it.
	(e_icon_factory_get_icon): Update the docs to reflect that

2004-06-01  Not Zed  <NotZed@Ximian.com>

	* e-fsutils.c (e_fsutils_avail): use statvfs if available.  Should
	make it actually work, if not portable.  This is for a bug but I
	can't recall the number.

2004-05-27  Rodney Dawes  <dobey@novell.com>

	* Makefile.am (dist-hook): Require e-error-tool

2004-05-19  Jeffrey Stedfast  <fejj@novell.com>

	* e-icon-factory.c: Lots of re-working action. We no longer load a
	pixbuf for each and every available size when requesting the icon
	for the first time, instead we simply load the requested icon of
	the requested size and cache only that.
	(e_icon_factory_get_icon): Always return a broken image icon if we
	fail to load the requested icon.
	(e_icon_factory_get_icon_list): Only bother with adding icons of
	the sizes that are suggested by ghe gtk documentation for
	gtk_window_set_icon_list rather than the sizes of the standard
	icons (since it isn't the same list of sizes).
	(load_icon): Fall back to EVOLUTION_ICONSDIR/WWxHH/icon_name if
	the icon-theme lookup fails. Also now takes a 'scale' argument
	which, if non-zero, allows us to look for images of the same name
	with a larger size in order to scale them back down to what we
	need.

2004-05-19  Jeffrey Stedfast  <fejj@novell.com>

	* e-gui-utils.c (e_icon_for_mime_type): We always have
	GnomeIconTheme nowadays, get rid of the old unused code.
	(e_create_image_widget): Use E_ICON_SIZE_DIALOG

2004-05-17  Jeffrey Stedfast  <fejj@novell.com>

	* e-icon-factory.h (E_ICON_SIZE_LIST/STATUS): New #define aliases
	for common icon usage cases where it may not be obvious that they
	are the same size as menu icons.

2004-05-12  Jeffrey Stedfast  <fejj@novell.com>

	* e-icon-factory.c (e_icon_factory_shutdown): New function to
	clean up the cached icons.

2004-05-12  Not Zed  <NotZed@Ximian.com>

	* e-error-tool.c: Tool to do i18n string extraction for error xml
	files.

2004-05-10  Not Zed  <NotZed@Ximian.com>

	* e-fsutils.c (e_fsutils_usage): new file/function, get disk usage
	of a path, in 1024 byte blocks.
	(e_fsutils_avail): new file/function, get disk space available for
	a given path, in 1024 byte blocks.

	* e-meta.[ch]: Removed.  Poor idea badly executed, and no longer used.

	* e-path.h: add a fixme about deprecation.

2004-04-30  Not Zed  <NotZed@Ximian.com>

	* e-lang-utils.[ch]: Removed.  This is covered by
	gnome_i18n_get_language_list, which is more complete.

2004-04-30  Dan Winship  <danw@ximian.com>

	* e-icon-factory.c (load_icon): Make this work for non-stock icons
	too.

2004-04-22  Not Zed  <NotZed@Ximian.com>

	* e-icon-factory.c (e_icon_factory_get_icon_list): make sure we
	unlock if we fail to find an icon.

2004-04-21  Jeffrey Stedfast  <fejj@ximian.com>

	* e-icon-factory.c: Remove the warnings about using E_ICON_SIZE
	enums.

2004-04-20  Jeffrey Stedfast  <fejj@ximian.com>

	* e-icon-factory.c (e_icon_factory_get_icon): Make
	thread-safe. Fixes a crash I encountered this morning.
	(e_icon_factory_get_icon_filename): Same.
	(e_icon_factory_get_icon_list): Here too.

2004-04-19  Jeffrey Stedfast  <fejj@ximian.com>

	* e-icon-factory.h: Add an enum for icon sizes (temporarily has
	absolute pixel sizes assigned to it until I commit
	e-icon-factory.c changes - but only after all other code has been
	updated to use the enums).

2004-04-16  Michael Terry  <mike@mterry.name>

	* Makefile.am: Add e-icon-factory.[ch]
	* e-gui-utils.c: Use the icon theme via EIconFactory
	* e-icon-factory.[ch]: Move EIconFactory to e-util, and add icon theme
	support to the object so evolution uses them

2004-04-13  Jeffrey Stedfast  <fejj@ximian.com>

	* e-signature-list.c (gconf_signatures_changed): Don't add an
	autogen signature if the new signature is the autogen signature.

2004-04-13  Jeffrey Stedfast  <fejj@ximian.com>

	* e-host-utils.c (e_gethostbyname_r): Implemented a similar
	workaround to the one I did for a gethostbyaddr_r() glibc bug
	here. Glibc will apparently return success for addresses such as
	"192..168.1.1" (note the double dot) and yet not have filled in
	the hostent properly.

2004-04-12  Jeffrey Stedfast  <fejj@ximian.com>

	Really fixes bug #56623

	* e-signature-list.c (gconf_signatures_changed): If we've had to
	"fix" any signatures by adding a uid, set the resave state on the
	list (only cared about if this is at initial load time).
	(e_signature_list_construct): If we've set any uids in
	signatures_changed(), then save the signature list back out.

2004-04-09  Jeffrey Stedfast  <fejj@ximian.com>

	* e-account.c (xml_set_identity): If we fail to set a sig_uid then
	try to extract the old style signature id and assume the migration
	code will fix us up (if not, nothing bad will happen anyway).

	* e-signature-list.c (gconf_signatures_changed): If the autogen
	signature isn't in the list (or isn't the first in the list), add
	it to the head of the list.

2004-04-07  Jeffrey Stedfast  <fejj@ximian.com>

	Probably fixes bug #56623 and others?

	* e-signature-list.c (gconf_signatures_changed): Fixed to not use
	free'd iter memory. Also reverse the new_sigs list before adding
	them to the signature list (so they are in the same order they
	appeared in the gconf key).

2004-04-05  Jeffrey Stedfast  <fejj@ximian.com>

	* e-signature-list.c (gconf_signatures_changed): Fixed to not
	ignore signatures without uids (e.g. signatures that were from
	prior versions).

2004-04-02  Jeffrey Stedfast  <fejj@ximian.com>

	* e-signature.c (e_signature_to_xml): Always set a format prop so
	that 1.4 and older 1.5 versions won't strcmp() on a NULL value.

2004-04-01  Jeffrey Stedfast  <fejj@ximian.com>

	* e-account.c: Reference signatures by their UID rather than by an
	integer id. Also removed the need to have 2 signature settings (no
	need for the "auto" signature boolean anymore).

2004-03-31  Jeffrey Stedfast  <fejj@ximian.com>

	* e-signature.[c,h]: New class similar to EAccount but for
	signatures.

	* e-signature-list.[c,h]: New class similar to EAccountList only
	for signatures.

2004-03-31  Not Zed  <NotZed@Ximian.com>

	* e-account-list.h: similar to below.

	* e-account.h: define struct _EAccount* so you can properly forward
	declare it.

2004-03-18  Not Zed  <NotZed@Ximian.com>

	* e-account.c: Added options for transport_url and source_url
	permissions.

2004-03-18  Not Zed  <NotZed@Ximian.com>

	* e-account.c (e_account_writable, e_account_writable_option):
	added interface to find out if various fields or server options
	are writable.  to work around gconf limitations.

2004-03-04  William Jon McCann  <mccann@jhu.edu>

	* e-dialog-utils.c (e_notice, e_notice_with_xid, save_ok): 
	* e-request.c (e_request_string): 
	* e-passwords.c (e_passwords_ask_password):
	Remove separator from dialogs per HIG.

2004-03-04  Not Zed  <NotZed@Ximian.com>

	* e-sexp.c: Added some debug stuff.

2004-02-27  Not Zed  <NotZed@Ximian.com>

	** See Bug #37329.

	* e-mktemp.c (get_dir): setup a comjpile time option for storing
	in the homedir, and also just use the uid as the key for a /tmp
	dir option.
	(e_mktemp_cleanup): removed entirely.
	(e_mkstemp, e_mkdtemp, e_mktemp): dont save the file/dirname in a
	list anymore.
	(expire_dir_rec): expire old temp data from previous runs/old data
	lying around.  Based on access time.
	(get_dir): run an expirey every now and then.

2004-02-25  Jeffrey Stedfast  <fejj@ximian.com>

	* e-gui-utils.c (e_icon_for_mime_type): Protect against feeding
	gdk_pixbuf_new_from_file() a NULL path. Clears up some console
	warning spewage.

2004-02-19  Not Zed  <NotZed@Ximian.com>

	* e-pilot-util.c: include string.h, fixes 64 bit crash.  From
	David Mosberger.

2004-02-03  Chris Toshok  <toshok@ximian.com>

	* e-html-utils.c (e_text_to_html_full): add callto:, h323:, and
	webcal: schemes.

2004-01-26  JP Rosevear <jpr@ximian.com>

	* e-folder-map.c (e_folder_map_dir): use g_file_test instead of
	stat and pass the type e_folder_map_dir when recursing

2004-01-24  JP Rosevear <jpr@ximian.com>

	* e-folder-map.c: turn off debugging

2004-01-24  Chris Toshok  <toshok@ximian.com>

	* e-folder-map.c (e_folder_map_dir): use GDir/g_build_filename,
	and g_file_test.
	(e_folder_map_local_folders): same.

2004-01-23  JP Rosevear <jpr@ximian.com>

	* Makefile.am: build new sources

	* e-folder-map.[hc]: builds a list of 1.4 folder paths of a
	certain type

2004-01-20  JP Rosevear <jpr@ximian.com>

	* Makefile.am: don't build dead files

	* e-xml-hash-utils.[hc]: kill, these were moved to e-d-s long ago

2004-01-14  Jeffrey Stedfast  <fejj@ximian.com>

	* e-bconf-map.[c,h]: New source files for mapping bonobo-conf keys
	to gconf keys. Moved out of shell/e-config-upgrade.c

2004-01-13  Not Zed  <NotZed@Ximian.com>

	* e-msgport.c (em_cache*): A time-based thread-safe in-memory
	cache thing.  Called em_cache 'cause there's an e_cache in gal.

2004-01-05  Not Zed  <NotZed@Ximian.com>

	* e-memory.c (e_mempool_destroy): Fix from Zan Lynx
	<zlynx@acm.org> to lock the memchunk before freeing the pool
	header.

2003-12-06  JP Rosevear <jpr@ximian.com>

	* Makefile.am: Remove hard coded disable deprecated flags

2003-11-23  JP Rosevear  <jpr@ximian.com>

	* Makefile.am (INCLUDES): remove gtk deprecated flag

2003-11-18  JP Rosevear <jpr@ximian.com>

	* Makefile.am: remove db3 library, if you really want it, get it
	from e-d-s

2003-11-14  JP Rosevear <jpr@ximian.com>

	* Makefile.am: don't build the e-source stuff anymore, its in
	e-d-s now

2003-11-14  JP Rosevear <jpr@ximian.com>

	* test-source-list.c (on_idle_do_stuff): we only need the uid to
	remove and peek at stuff

	* e-source-list.h: update proto types

	* e-source-list.c (e_source_list_peek_source_by_uid): allow peek
	by uid only
	(e_source_list_remove_source_by_uid): allow removal by uid only

2003-11-07  Dan Winship  <danw@ximian.com>

	* ename/*: Removed. No longer used by evolution except via
	evolution-data-server.
	
	* Makefile.am (SUBDIRS): Remove ename

2003-11-07  JP Rosevear  <jpr@ximian.com>

	* Makefile.am: remove build sources from dist

2003-11-07  JP Rosevear <jpr@ximian.com>

	* Makefile.am: make sure the marshal header and source are in the
	source list

2003-10-31  Hans Petter Jansson  <hpj@ximian.com>

	* e-source.c (e_source_get_uri): Don't compress trailing slashes in
	URI elements.

2003-10-31  Not Zed  <NotZed@Ximian.com>

	* e-account.c (e_account_(sg)et_from_xml): add encrypt_key id, and
	change some of the names around to be more meaningful.

2003-10-17  Jeffrey Stedfast  <fejj@ximian.com>

	* e-host-utils.c (e_gethostbyname_r): If the system defines
	AI_ADDRCONFIG, set this flag on the hints.ai_flags member as well
	so that we don't resolve a host to an IPv6 addr when the node
	doesn't have any IPv6 source addresses.

2003-10-24  Dan Winship  <danw@ximian.com>

	* Makefile.am (libedb3util_la_LIBADD): add $(DB3_LDADD)

2003-10-22  Dan Winship  <danw@ximian.com>

	* e-bonobo-factory-util.[ch]: Gone; unused since 1.2

	* e-proxy.[ch]: Gone; nothing in evo uses soup any more.

	* Makefile.am (eutilinclude_HEADERS, libeutil_la_SOURCES): Remove
	e-proxy.[ch]

2003-10-20  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am (pilot_compile) [! ENABLE_PILOT_CONDUITS]: Add
	md5-utils.c so it compiles even if you have no Pilot support.

2003-10-16  Rodrigo Moya <rodrigo@ximian.com>

	* e-source-list.c (e_source_list_sync): use gconf_client_notify_remove
	instead of g_source_remove for GConf notification IDs.
	(impl_finalize): remove the GConf notification also here.

2003-10-13  Rodrigo Moya <rodrigo@ximian.com>

	* e-source-group.[ch] (e_source_group_peek_source_by_name): added
	new function.

2003-10-10  Not Zed  <NotZed@Ximian.com>

	* e-account-list.c (e_account_list_find): add FIND_UID find type.

2003-09-26  Jeffrey Stedfast  <fejj@ximian.com>

	* e-host-utils.c (e_gethostbyaddr_r): IPv6 implementation
	rewritten to use getnameinfo() which is the proper function to use
	in this case. Fixes bug #46006 the Right Way (tm).

2003-09-25  Jeffrey Stedfast  <fejj@ximian.com>

	* e-host-utils.c (e_gethostbyaddr_r): Make sure that
	res->ai_canonname is non-NULL and that it doesn't match the
	numeric host address that we were trying to resolve. Fixes the
	second half of bug #46006.

2003-09-19  Jeffrey Stedfast  <fejj@ximian.com>

	* e-host-utils.c (e_gethostbyaddr_r): Work around a bug in glibc
	2.3.2's gethostbyaddr_r() implementation.

2003-09-15  Larry Ewing  <lewing@ximian.com>

	* e-source.c (e_source_dump_to_xml_node): make sure declarations
	precede the body.

2003-09-11  Dan Winship  <danw@ximian.com>

	* Makefile.am (noinst_LTLIBRARIES): Remove libeutil-static.la and
	libeconduit-static.la

	* ename/Makefile.am (noinst_LTLIBRARIES): Remove
	libename-static.la

2003-08-28  Hans Petter Jansson  <hpj@ximian.com>

	* eggtrayicon.[ch]: Added for tray icon support. To be removed when
	libgnomeui sports this functionality.

	* Makefile.am: Include eggtrayicon.

2003-08-27  Jeffrey Stedfast  <fejj@ximian.com>

	* e-mktemp.c (e_mktemp_cleanup): We need to unlink the full paths
	in the tmpdirs, not just the base path.

2003-08-20  Suresh Chandrasekharan <suresh.chandrasekharan@sun.com>
	
	* e-time-utils.c (parse_with_strptime): Fixes #43558 Appointment
	Editor always gives time validation error for apptmnts in non
	UTF-8/non ASCII locales.

2003-08-17  Ettore Perazzoli  <ettore@ximian.com>

	* test-source-list.c: No short letter for --key.

2003-08-15  Ettore Perazzoli  <ettore@ximian.com>

	* e-uid.c: #include <glib/gstrfuncs.h>

	* test-source-list.c: Add options to display, set and unset the
	color as well.

	* e-source.c: New members has_color, color in struct
	ESourcePrivate.
	(e_source_update_from_xml_node): Parse a color property from the
	XML node.  Protect from NULL name and relative_uri members as
	well.
	(e_source_dump_to_xml_node): Set a color property on the XML node.
	(e_source_get_color): New.
	(e_source_set_color): New.
	(e_source_unset_color): New.
	(e_source_new_from_xml_node): Use e_source_update_from_xml_node()
	instead of getting the data from the XML yourself.

2003-08-14  Ettore Perazzoli  <ettore@ximian.com>

	Add UIDs to ESource* items so we can distinguish renames from
	removals/additions.

	* test-source-list.c: Made --source and --group get UIDs instead
	of names.
	(on_idle_do_stuff): Updated behavior accordingly.
	(dump_list): Print "(No items)" if there are no groups.
	(dump_group): Print the UID of the group.
	(dump_source): Print the UID of the source.

	* e-source-list.c (load_from_gconf): Match with group UIDs instead
	of group names.
	(e_source_list_peek_source_by_uid): New.
	(e_source_list_peek_source_by_name): Removed.
	(e_source_list_peek_group_by_uid): New.
	(e_source_list_peek_group_by_name): Removed.
	(e_source_list_remove_group_by_uid): New.
	(e_source_list_remove_group_by_name): Removed.
	(e_source_list_remove_source_by_uid): New.
	(e_source_list_remove_source_by_name): Removed.

	* e-source-group.c: New member uid in struct ESourceGroupPrivate.
	(impl_finalize): Free it.
	(e_source_group_new): Set the uid member using e_uid_new().
	(e_source_group_peek_source_by_uid): New.
	(e_source_group_peek_source_by_name): Removed.
	(e_source_group_add_source): Check that the UID is unique, instead
	of the name.
	(e_source_group_remove_source_by_uid): New.
	(e_source_group_remove_source_by_name): Removed.
	(e_source_group_update_from_xmldoc): Use the UID to figure out
	which source has changed, instead of the name.
	(e_source_group_uid_from_xmldoc): New.
	(e_source_group_name_from_xmldoc): Removed.
	(e_source_group_new_from_xmldoc): Set the UID in the new group
	from the XML.
	(e_source_group_to_xml): Set a UID property in the XML.

	* e-source.c: New member uid in struct ESourcePrivate.
	(e_source_new): Initialize using e_uid_new().
	(impl_finalize): Free.
	(e_source_peek_uid): New.
	(e_source_new_from_xml_node): Set the UID from the XML node.
	(e_source_name_from_xml_node): Removed.
	(e_source_uid_from_xml_node): New.
	(e_source_dump_to_xml_node): Set the "uid" property on the XML
	node.

	* e-account.c (e_account_gen_uid): Removed.
	(e_account_new): Use e_uid_new() instead of e_account_gen_uid().

	* e-uid.c (e_uid_new): New file, new function.

2003-08-13  Ettore Perazzoli  <ettore@ximian.com>

	Fix up the semantics of "changed" signals on GConf changes.

	* e-source-group.c (e_source_group_update_from_xmldoc): Added new
	member ignore_source_changed in struct _ESourceGroupPrivate.
	(e_source_group_update_from_xmldoc): Increment
	ignore_source_changed before calling
	e_source_update_from_xml_node(), decrement afterwards.
	(source_changed_callback): Only emit "changed" if
	ignore_source_changed is zero.
	(e_source_group_update_from_xmldoc): Properly emit the "changed"
	signal when the base_uri or the name change.

	* e-source-list.c: Changed type of sync_idle_id from gboolean (!)
	to int and added new member ignore_group_changed in struct
	_ESourceListPrivate.
	(load_from_gconf): Increment ignore_group_changed before calling
	e_source_group_update_from_xmldoc() and decrement it afterwards.
	(group_changed_callback): Only emit the signal if
	ignore_group_changed is zero.

	* e-source.c (e_source_update_from_xml_node): Removed arg
	emit_signals.  Always emit signals.

	* e-source-group.c (e_source_group_update_from_xmldoc): Removed
	arg emit_signals.  Always emit signals.
	(e_source_group_update_from_xml): Likewise.

2003-08-11  Ettore Perazzoli  <ettore@ximian.com>

	* e-source.c (e_source_set_group): Weak_unref the current group if
	not NULL and properly handle the case where a NULL group is being
	passed in.

2003-08-11  Ettore Perazzoli  <ettore@ximian.com>

	* e-source-group.c: New file.
	* e-source-group.h: New file.
	* e-source-list.h: New file.
	* e-source-list.c: New file.
	* e-source.c: New file.
	* e-source.h: New file.
	* test-source-list.c: New file to test the above.

2003-08-11  Not Zed  <NotZed@Ximian.com>

	* e-msgport.c (e_thread_put): check pthread_create return code
	properly.
	(e_mutex_lock): check pthread* return codes properly.
	(e_mutex_unlock): Same here.
	(e_mutex_cond_wait): and here.

2003-08-05  Dan Winship  <danw@ximian.com>

	* e-html-utils.c (special_chars): add a flag for non-url chars
	(controls, whitespace, ", and |)
	(url_extract): Use that. When urlifying just a hostname, make sure
	it really is a hostname, and not just something like "www.c".
	(e_text_to_html_full): Deal with url_extract returning NULL in the
	"www." case
	(main): add a regression test, #ifdef E_HTML_UTILS_TEST

2003-07-24  Rodrigo Moya <rodrigo@ximian.com>

	* e-config-listener.c (add_key): just preload one level of GConf keys,
	since preloading all makes the calendar startup slow.

2003-07-23  Dan Winship  <danw@ximian.com>

	* Makefile.am: Use EVO_MARSHAL_RULE

	* e-component-listener.c (connection_listen_cb): Fix a non-ANSI
	switch label.

	* e-gui-utils.c: only include "art/empty.xpm" if
	HAVE_LIBGNOMEUI_GNOME_ICON_LOOKUP_H isn't defined

	* e-xml-hash-utils.c (e_xml_to_hash): Deconstify a non-const
	variable to fix a warning.

2003-07-03  JP Rosevear  <jpr@ximian.com>
 
 	* e-xml-hash-utils.c (foreach_save_func): encode the text
 	(e_xml_from_hash): pass xmlDoc to foreach method
 	(e_xmlhash_new): check for file existence
 	(e_xmlhash_destroy): only destroy the hash if it exists
	
2003-07-01  Dan Winship  <danw@ximian.com>

	* e-gui-utils.c (e_icon_for_mime_type): New function to return an
	icon for a MIME type, using GnomeIconTheme if available or
	gnome-vfs and gnome-mime-data if not.

2003-06-19  Dan Winship  <danw@ximian.com>

	* e-xml-hash-utils.c (e_xml_to_hash): don't leak an extra copy of
	the values

2003-06-14  Larry Ewing  <lewing@ximian.com>

	* e-name-western.c (e_name_western_get_suffix_at_str_end): free
	word before breaking out of the loop.

2003-06-12  Rodrigo Moya <rodrigo@ximian.com>

	* e-config-listener.c (add_key): use GCONF_CLIENT_PRELOAD_RECURSIVE
	when adding watched directories to avoid GConfd round-trips.

2003-06-12  Jeffrey Stedfast  <fejj@ximian.com>

	* e-trie.c (e_trie_free): Free the fail_states array.

2003-05-30  Jeffrey Stedfast  <fejj@ximian.com>

	* e-meta.c (meta_load): Stat the file to make sure it exists
	before trying to parse it using xmlParseFile().

